> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Account

**`v2`** · Base URL `https://api.fintoc.com/v2`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api-v2.json POST /accounts
openapi: 3.1.0
info:
  title: fintoc-api-v2
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v2
security:
  - sec0: []
paths:
  /accounts:
    post:
      summary: Create Account
      operationId: create-account
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                entity_id:
                  type: string
                  description: 'The Account owner entity''s ID. Ex:  `ent_4324qwkalsds`'
                description:
                  type: string
                  description: >-
                    A description for the Account, to simplify its
                    identification.
              required:
                - entity_id
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "id": "acc_23JlasHas241",
                      "object": "account",
                      "mode": "test",
                      "description": "My new account",
                      "available_balance": 0,
                      "currency": "MXN",
                      "root_account_number_id": "acno_Kasf91034gj1AD",
                      "root_account_number": "738969123456789120",
                      "entity": {
                        "id": "ent_4324qwkalsds",
                        "holder_name": "ACME Inc.",
                        "holder_id": "ND",
                        "is_root": true
                       }
                    }
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: acc_23JlasHas241
                  object:
                    type: string
                    example: account
                  mode:
                    type: string
                    example: test
                  description:
                    type: string
                    example: My new account
                  available_balance:
                    type: integer
                    example: 0
                    default: 0
                  currency:
                    type: string
                    example: MXN
                  root_account_number_id:
                    type: string
                    example: acno_Kasf91034gj1AD
                  root_account_number:
                    type: string
                    example: '738969123456789120'
                  entity:
                    type: object
                    properties:
                      id:
                        type: string
                        example: ent_4324qwkalsds
                      holder_name:
                        type: string
                        example: ACME Inc.
                      holder_id:
                        type: string
                        example: ND
                      is_root:
                        type: boolean
                        example: true
                        default: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization

````